#!/bin/bash

ARG1=$1
VERSION=${ARG1:="3.3.6"}

# Make a new temporary directory and go there
tmp_dir=$(mktemp -d)
cd $tmp_dir

# Clone, build and install
git clone https://github.com/mikebrady/shairport-sync.git
git reset --hard origin/$VERSION
cd shairport-sync
autoreconf -fi
./configure --sysconfdir=/etc --with-alsa --with-soxr --with-avahi --with-ssl=openssl --with-systemd
make
make install

# Clean up
cd ~
rm -rf $tmp_dir
